Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing
Class JFrame

    java.lang.Object
      charva.awt.Component
          charva.awt.Container
              charva.awt.Window
                  charva.awt.Frame
                      charvax.swing.JFrame

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  JPopupMenu

public class JFrame
extends Frame

In the CHARVA package, JFrame has identical functionality to Frame

Field Summary
`static int` | `DISPOSE_ON_CLOSE`
`static int` | `DO_NOTHING_ON_CLOSE`
`static int` | `EXIT_ON_CLOSE`
`static int` | `HIDE_ON_CLOSE`

Fields inherited from class charva.awt.Window
`_term`

Fields inherited from class charva.awt.Container
`_components, _currentFocus, _insets, _isValid, _layoutMgr, _minimumSize, _size`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JFrame()`
`JFrame(java.lang.String title_)`

Method Summary
`Container` | `getContentPane()`
`Dimension` | `minimumSize()` Overrides the corresponding method in Container.
`void` | `setBackground(Color color_)` Sets the background color of this JFrame and its content pane.
`void` | `setDefaultCloseOperation(int operation_)` Sets the operation that will happen by default when the user initiates a "close" on this frame.
`void` | `setForeground(Color color_)` Sets the foreground color of this JFrame and its content pane.
`void` | `setJMenuBar(JMenuBar menubar_)` Sets the menubar for this frame.

Methods inherited from class charva.awt.Frame
`draw, getTitle, setTitle`

Methods inherited from class charva.awt.Window
`addWindowListener, adjustLocation, debug, getLocationOnScreen, getOwner, hide, isDisplayed, isFocusTraversable, pack, processEvent, processWindowEvent, run, show`

Methods inherited from class charva.awt.Container
`add, add, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getCurrentFocus, getHeight, getInsets, getSize, getWidth, invalidate, isValid, nextFocus, previousFocus, processKeyEvent, remove, requestFocus, setFocus, setHeight, setLayout, setSize, setSize, setWidth, validate`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getBounds, getCursesColor, getForeground, getLocation, getName, getParent, hasFocus, isEnabled, isTotallyObscured, isVisible, processFocusEvent, processMouseEvent, repaint, requestSync, setBounds, setBounds, setBounds, setEnabled, setLocation, setLocation, setName, setParent, setVisible, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXIT_ON_CLOSE

    public static final int EXIT_ON_CLOSE

See Also:
  Constant Field Values

### DISPOSE_ON_CLOSE

    public static final int DISPOSE_ON_CLOSE

See Also:
  Constant Field Values

### DO_NOTHING_ON_CLOSE

    public static final int DO_NOTHING_ON_CLOSE

See Also:
  Constant Field Values

### HIDE_ON_CLOSE

    public static final int HIDE_ON_CLOSE

See Also:
  Constant Field Values

Constructor Detail

### JFrame

    public JFrame()

### JFrame

    public JFrame(java.lang.String title_)

Method Detail

### getContentPane

    public Container getContentPane()

### setJMenuBar

    public void setJMenuBar(JMenuBar menubar_)

  Sets the menubar for this frame.

### minimumSize

    public Dimension minimumSize()

  Overrides the corresponding method in Container.

  Overrides:
    `minimumSize` in class `Container`

### setForeground

    public void setForeground(Color color_)

  Sets the foreground color of this JFrame and its content pane.

  Overrides:
    `setForeground` in class `Container`

### setBackground

    public void setBackground(Color color_)

  Sets the background color of this JFrame and its content pane.

  Overrides:
    `setBackground` in class `Container`

### setDefaultCloseOperation

    public void setDefaultCloseOperation(int operation_)

  Sets the operation that will happen by default when the user initiates a "close" on this frame. (Actually, the window is just hidden, unless the frame is the last window in the application).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD